Bug 73623 - Kudzu stdout ouput after timeout needs trailing newline
Kudzu stdout ouput after timeout needs trailing newline
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-06 18:15 EDT by Daniel L. Rall
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 17:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch correcting stdout output message (same included in initial description) (727 bytes, patch)
2002-09-06 18:15 EDT, Daniel L. Rall
no flags Details | Diff

  None (edit)
Description Daniel L. Rall 2002-09-06 18:15:04 EDT
Description of Problem:

The Kudzu information message output on stdout after 30 second timeout during
boot process is missing a trailing newline.  This makes the output run on into
the next line of startup output.  This reduces the value of both the messages,
and generally makes things hard to read.


Version-Release number of selected component (if applicable):

Kudzu from stock RedHat 7.3.


How Reproducible:

Boot the system after making a hardware change, let kudzu startup, then timeout,
and watch for its output run on into the next line.


Expected Results:

Each program should end its output with a newline.


Additional Information:
	
Here's a patch which ought to correct the problem on stdout.  I'm unfamiliar
with exactly what the initlog command does (a shell function, perhaps?), but it
may benefit from a similar change as well.


Index: kudzu.init
===================================================================
RCS file: /usr/local/CVS/kudzu/kudzu.init,v
retrieving revision 1.30
diff -u -u -r1.30 kudzu.init
--- kudzu.init	7 Mar 2001 19:34:35 -0000	1.30
+++ kudzu.init	6 Sep 2002 21:59:02 -0000
@@ -49,7 +49,7 @@
 	   action "" /bin/false
            if [ "$RETVAL" -eq 5 ]; then
 	       echo -n $"Hardware configuration timed out."
-	       echo -n $"Run '/usr/sbin/kudzu' from the command line to re-detect."
+	       echo $"Run '/usr/sbin/kudzu' from the command line to re-detect."
 	       initlog -n kudzu -s $"Hardware configuration timed out."
 	       initlog -n kudzu -s $"Run '/usr/sbin/kudzu' from the command line to
re-detect."
 	   fi
Comment 1 Daniel L. Rall 2002-09-06 18:15:59 EDT
Created attachment 75365 [details]
Patch correcting stdout output message (same included in initial description)
Comment 2 Bill Nottingham 2005-02-04 17:55:13 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.

Note You need to log in before you can comment on or make changes to this bug.